org.cybergarage.upnp

## Class Argument

- java.lang.Object
- - org.cybergarage.upnp.Argument

    public class Argument
    extends Object

### Field Summary

Fields
`static String` `ELEM_NAME`
`static String` `IN`
`static String` `OUT`

### Constructor Summary

Constructors
Constructor and Description
`Argument()`
`Argument(Node servNode, Node argNode)`
`Argument(String name, String value)`

### Method Summary

Methods
`Action` `getAction()`
`Node` `getActionNode()`
`Node` `getArgumentNode()`
`String` `getDirection()`
`int` `getIntegerValue()`
`String` `getName()`
`StateVariable` `getRelatedStateVariable()`
`String` `getRelatedStateVariableName()`
`Service` `getService()`
`String` `getValue()`
`static boolean` `isArgumentNode(Node node)`
`boolean` `isInDirection()`
`boolean` `isOutDirection()`
`void` `setDirection(String value)`
`void` `setName(String value)`
`void` `setRelatedStateVariableName(String value)`
`void` `setValue(int value)`
`void` `setValue(String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ELEM_NAME

    public static final String ELEM_NAME

See Also:
  Constant Field Values

#### IN

    public static final String IN

See Also:
  Constant Field Values

#### OUT

    public static final String OUT

See Also:
  Constant Field Values

### Constructor Detail

#### Argument

    public Argument()

#### Argument

    public Argument(Node servNode,
            Node argNode)

#### Argument

    public Argument(String name,
            String value)

### Method Detail

#### getArgumentNode

    public Node getArgumentNode()

#### getService

    public Service getService()

#### getActionNode

    public Node getActionNode()

#### getAction

    public Action getAction()

#### isArgumentNode

    public static boolean isArgumentNode(Node node)

#### setName

    public void setName(String value)

#### getName

    public String getName()

#### setDirection

    public void setDirection(String value)

#### getDirection

    public String getDirection()

#### isInDirection

    public boolean isInDirection()

#### isOutDirection

    public boolean isOutDirection()

#### setRelatedStateVariableName

    public void setRelatedStateVariableName(String value)

#### getRelatedStateVariableName

    public String getRelatedStateVariableName()

#### getRelatedStateVariable

    public StateVariable getRelatedStateVariable()

#### setValue

    public void setValue(String value)

#### setValue

    public void setValue(int value)

#### getValue

    public String getValue()

#### getIntegerValue

    public int getIntegerValue()